Package org.apache.storm.kafka.monitor

## Class KafkaOffsetLagResult

- java.lang.Object
- - org.apache.storm.kafka.monitor.KafkaOffsetLagResult

- All Implemented Interfaces:
    `net.minidev.json.JSONAware`

      public class KafkaOffsetLagResult
      extends Object
      implements net.minidev.json.JSONAware

  Class representing the log head offsets, spout offsets and the lag for a topic.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaOffsetLagResult​(String topic, int parition, long consumerCommittedOffset, long logHeadOffset)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `long` | `getConsumerCommittedOffset()` |
    `long` | `getLag()` |
    `long` | `getLogHeadOffset()` |
    `int` | `getPartition()` |
    `String` | `getTopic()` |
    `int` | `hashCode()` |
    `String` | `toJSONString()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KafkaOffsetLagResult

          public KafkaOffsetLagResult​(String topic,
                                      int parition,
                                      long consumerCommittedOffset,
                                      long logHeadOffset)

  - ### Method Detail

    - #### getTopic

          public String getTopic()

    - #### getPartition

          public int getPartition()

    - #### getConsumerCommittedOffset

          public long getConsumerCommittedOffset()

    - #### getLogHeadOffset

          public long getLogHeadOffset()

    - #### getLag

          public long getLag()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toJSONString

          public String toJSONString()

      Specified by:
        `toJSONString` in interface `net.minidev.json.JSONAware`